Subject: Re: [RFC/PATCH v2 3/3] status: introduce status.displayCommentChar to disable display of #

From: Jonathan Nieder <[email-masked]>
Date: Wed, 28 Aug 2013 16:13:26 -0700

Matthieu Moy wrote:

> Historically, "git status" needed to prefix each output line with '#' so
> that the output could be added as comment to the commit message. This
> prefix comment has no real purpose when "git status" is ran from the
> command-line, and this may distract users from the real content.
>
> Allow the user to disable this prefix comment.

Why not do this unconditionally?

>                                                In the long run, if users
> like the non-prefix output, it may make sense to flip the default value
> to true.

Hmm, do you mean that the configuration is to give the change-averse
some time to get used to the new output?  I think it would make sense
to do it all at once (and even think that that would be less
confusing).

The rest of the idea and execution seem sane.

Thanks,
Jonathan